function [ dhz ] = d_x_sphhank( nu, z, params )
% returns the derivative of z times spherical Hankel function of the third kind, d/dz[z* h_nu(z)]'

dhz = z*sphhank(nu-1,z, params) - nu * sphhank(nu,z, params);

end

